Page MenuHomePhabricator

[EPIC] Backend: cross-wiki search results functionality
Closed, ResolvedPublic

Description

As a team, and based on feedback generated on MediaWiki and the talk page, we want to create methods and functionality to generate and display additional (and relevant) search results on Wikipedia that are from other sister projects and the native language wiki where the user entered their search query.

Our goal in this effort is to add this functionality onto Wikipedia and gather results from other projects to display on the search results page. These search results will be in the same language as the search was done in - i.e.: if I search on en.wiki for what is the history of the olympics I want to see search results in English on en.wiki and also relevant results (in English) from sister projects such as wikiquote, wiktionary, wikivoyage, etc.

We've discussed this in various different meetings, here are the etherpad notes that contain the raw minutes from those meetings, in order to refresh our memories (listed in no particular order):

This ticket is to cover the backend functionality that we need to build to support the front end display (T145917)

Related Objects

StatusSubtypeAssignedTask
Resolveddebt
ResolvedEBernhardson
ResolvedEBernhardson
Resolveddemon
ResolvedCKoerner_WMF
ResolvedEBernhardson
DeclinedNone
DeclinedNone
DeclinedNone
Resolveddcausse
ResolvedEBernhardson
ResolvedEBernhardson
DeclinedNone
Resolveddcausse
Resolveddcausse
DeclinedNone

Event Timeline

debt created this task.Sep 16 2016, 11:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2016, 11:46 PM
debt triaged this task as Medium priority.Sep 16 2016, 11:49 PM
debt added a comment.Sep 19 2016, 10:32 PM

This ticket is to do the work of creating the ability - frontend and backend - to gather and display cross-wiki query results on the Wikipedia search results page.

This new functionality won't display search results from every sister project, due to technical limitations, and we'll be working on bringing this new functionality on Wikipedia only (showing relevant results from other projects). We're also concentrating on using only the relevant same language projects as the language Wikipedia that the user is searching on - i.e.: en.wiki will search for relevant results from en.wikivoyage, en.wikiquote, etc.

This ticket is different from T109957 because that ticket discusses showing search results from ALL projects. A handful of language wiki's do that now but their indexes are much smaller than en.wiki and don't cause huge delays in displaying results, as mentioned here.

debt closed this task as Resolved.Apr 3 2017, 6:03 PM
debt claimed this task.

Closing this ticket, as it is done at this point.

There are two other tickets attached that should still be looked at in the future - T149741 and T156254 - but they are slated for future work.